Gecode::CommitTraceInfo Class Reference

Commit trace information. More...

`#include <core.hpp>`

## Public Member Functions

unsigned int | id (void) const
| Return brancher identifier.
BrancherGroup | group (void) const
| Return brancher group.
const Brancher & | brancher (void) const
| Return brancher.
const Choice & | choice (void) const
| Return choice.
unsigned int | alternative (void) const
| Return alternative.

## Protected Member Functions

| CommitTraceInfo (const Brancher &b, const Choice &c, unsigned int a)
| Initialize.

## Protected Attributes

const Brancher & | b
| Brancher.
const Choice & | c
| Choice.
unsigned int | a
| Alternative.

## Related Symbols

(Note that these are not member symbols.)
template<class Char, class Traits>
std::basic_ostream< Char, Traits > & | operator<< (std::basic_ostream< Char, Traits > &os, const CommitTraceInfo &cti)
| Print commit trace information.

## Detailed Description

Commit trace information.

Definition at line 1005 of file core.hpp.

## Constructor & Destructor Documentation

## CommitTraceInfo()

Gecode::CommitTraceInfo::CommitTraceInfo | ( | const Brancher & | b,
|  | const Choice & | c,
|  | unsigned int | a )

inline protected

Initialize.

Definition at line 3404 of file core.hpp.

## Member Function Documentation

## id()

unsigned int Gecode::CommitTraceInfo::id | ( | void |  | ) | const

inline

Return brancher identifier.

Definition at line 3408 of file core.hpp.

## group()

BrancherGroup Gecode::CommitTraceInfo::group | ( | void |  | ) | const

inline

Return brancher group.

Definition at line 3412 of file core.hpp.

## brancher()

const Brancher & Gecode::CommitTraceInfo::brancher | ( | void |  | ) | const

inline

Return brancher.

Definition at line 3416 of file core.hpp.

## choice()

const Choice & Gecode::CommitTraceInfo::choice | ( | void |  | ) | const

inline

Return choice.

Definition at line 3420 of file core.hpp.

## alternative()

unsigned int Gecode::CommitTraceInfo::alternative | ( | void |  | ) | const

inline

Return alternative.

Definition at line 3424 of file core.hpp.

## Friends And Related Symbol Documentation

## operator<<()

template<class Char, class Traits>

std::basic_ostream< Char, Traits > & operator<< | ( | std::basic_ostream< Char, Traits > & | os,
|  | const CommitTraceInfo & | cti )

related

Print commit trace information.

Definition at line 1 of file print.hpp.

## Member Data Documentation

## b

const Brancher& Gecode::CommitTraceInfo::b

protected

Brancher.

Definition at line 1009 of file core.hpp.

## c

const Choice& Gecode::CommitTraceInfo::c

protected

Choice.

Definition at line 1011 of file core.hpp.

## a

unsigned int Gecode::CommitTraceInfo::a

protected

Alternative.

Definition at line 1013 of file core.hpp.

The documentation for this class was generated from the following files:

- gecode/kernel/core.hpp
- gecode/kernel/trace/print.hpp